Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.genetics
Interface Fitness

All Known Implementing Classes:
  AbstractListChromosome, BinaryChromosome, Chromosome, RandomKey

    public interface Fitness

Fitness of a chromosome.

Since:
  2.0
Version:
  $Revision: 811786 $ $Date: 2009-09-06 05:36:08 -0400 (Sun, 06 Sep 2009) $

Method Summary
`double` | `fitness()` Compute the fitness.

Method Detail

### fitness

    double fitness()

  Compute the fitness. This is usually very time-consuming, so the value should be cached.

  Returns:
    fitness

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation